# Notify a single Intent

## POST /intents/notify\_intent

> Notify a single intent

```json
{"openapi":"3.0.3","info":{"title":"Back in Stock Intents API","version":"1.0.0"},"servers":[{"url":"https://app.stoqapp.com/api/v1/external","description":"Production server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-Auth-Token"}}},"paths":{"/intents/notify_intent":{"post":{"summary":"Notify a single intent","tags":["Intents"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","description":"Intent ID"},"allow_resend":{"type":"boolean","description":"Allow resending notification"}}}}}},"responses":{"200":{"description":"Notification sent successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"intent_id":{"type":"string"}}}}}},"401":{"description":"Unauthorized"},"404":{"description":"Intent not found"},"422":{"description":"Failed to notify intent"}}}}}}
```
